## django-conneg 0.9.4

=== requirements.txt ===
Django>=1.3

=== debian/changelog ===
django-conneg (0.9.4-2) unstable; urgency=medium

  * Apply upstream patch to fix build failures with Django 1.7 (Closes: #755597)

 -- Jordan Metzmeier <jmetzmeier01@gmail.com>  Tue, 04 Nov 2014 22:48:58 -0600

django-conneg (0.9.4-1) unstable; urgency=low

  * Create official Debian packaging (Closes: #730634).

 -- Olivier Berger <obergix@debian.org>  Fri, 06 Dec 2013 17:09:00 +0100

=== debian/control ===
Source: django-conneg
Section: python
Priority: optional
Maintainer: Olivier Berger <obergix@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>, Olivier Berger <olivier.berger@telecom-sudparis.eu>
Build-Depends: debhelper (>= 8),
	       dh-python,
               python-all,
               python-setuptools,
               python-mock,
#	       python3-all,
#	       python3-setuptools,
               python-django (>= 1.6)
Standards-Version: 3.9.4
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.3
Homepage: https://github.com/ox-it/django-conneg
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/django-conneg/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/django-conneg/

Package: python-django-conneg
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends},
         python-django (>= 1.6)
#Description: Framework for content-negotiated views in Django (Python 2)
Description: Framework for content-negotiated views in Django
 django-conneg provides a simple and extensible framework for producing
 views that content-negotiate in Django.
# .
# This is the Python 2 version of the package.

# Package: python3-django-conneg
# Architecture: all
# Depends: ${misc:Depends},
#          ${python3:Depends},
#          python-django (>= 1.6)
# Description: Framework for content-negotiated views in Django (Python 3)
#  django-conneg provides a simple and extensible framework for producing
#  views that content-negotiate in Django.
#  .
#  This is the Python 3 version of the package.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export PYBUILD_NAME=django-conneg

#MY_PYBUILD_OPTION=-v
#MY_DJANGOADMIN_OPTION=-v 3

%:
#	dh $@ --with python2,python3 --buildsystem=pybuild
	dh $@ --with python2 --buildsystem=pybuild

override_dh_auto_test:
	PYBUILD_SYSTEM=custom \
        PYBUILD_TEST_ARGS="cd {build_dir}; django-admin test $(MY_DJANGOADMIN_OPTION) --settings=django_conneg.test_settings --pythonpath=. django_conneg.tests" \
	dh_auto_test

# override_dh_install:
# 	dh_install
# 	rm -fr debian/python3-django-conneg/usr/lib/python3.3/dist-packages/django_conneg/tests/
# 	rm -fr debian/python3-django-conneg/usr/lib/python3.3/dist-packages/django_conneg/test_settings.py
# 	rm -fr debian/python3-django-conneg/usr/lib/python3/dist-packages/django_conneg/tests/

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/django-conneg-$1\.tar\.gz/ \
  https://github.com/ox-it/django-conneg/tags .*/v?(\d\S*)\.tar\.gz
